import request from '@/utils/request'

// 查询部门列表
export function tistDept(query) {
  return request({
    url: '/boman-report/statistic/report/datas',
    method: 'get',
    params: query
  })
}

// 查询报表列表
export function reportList(query) {
  return request({
    url: '/boman-report/statistic/report/list',
    method: 'post',
    params: query
  })
}

// 查询部门列表（排除节点）
export function listDeptExcludeChild(id) {
  return request({
    url: '/system/dept/list/exclude/' + id,
    method: 'get'
  })
}

// 查询部门详细
export function getDept(id) {
  return request({
    url: '/system/dept/' + id,
    method: 'get'
  })
}

// 查询部门下拉树结构
export function treeselect() {
  return request({
    url: '/system/dept/treeselect',
    method: 'get'
  })
}

// 根据角色ID查询部门树结构
export function roleDeptTreeselect(roleId) {
  return request({
    url: '/system/dept/roleDeptTreeselect/' + roleId,
    method: 'get'
  })
}

// 新增部门
export function addDeptiu(data) {
  return request({
    url: '/boman-report/statistic/report/saveOrUpdate',
    method: 'post',
    data: data
  })
}

// 修改部门
export function updateDept(data) {
  return request({
    url: '/system/dept',
    method: 'put',
    data: data
  })
}

// 删除部门
export function delDept(id) {
  return request({
    url: '/system/dept/' + id,
    method: 'delete'
  })
}
